// GENERALI
body {
  a {
    cursor: pointer;
    &:hover {
      text-decoration: underline;
    }
  }
  ul {
    padding: 0;
  }
}

// General typography

// TITOLI
.big-title {
  @extend --big-title;
}

.title {
  @extend --title;
}
.small-title {
  @extend --small-title;
}

.subtitle {
  @extend --subtitle;
}

.card-title {
  @extend --card-title;
}
.card-abstract {
  @extend --card-abstract;
}

.p,
p {
  @extend --p;
}

.span,
span {
  @extend --span;
}

.overline {
  @extend --overline;
}

.link-button {
  @extend --link-button;
}

.tag {
  @extend --tag;
}

// FORM
input,
label,
select,
textarea,
select {
  outline: none;
  line-height: 1;
  font-size: 1rem;
  margin: 0;
  border: 0;
  padding: 0;
  display: inline-block;
  vertical-align: middle;
  white-space: normal;
  background: none;
  border-radius: 0;
}

label {
  font-size: 0.75rem;
  &.al-input {
    font-size: 1.2rem;
  }
}

input[type='checkbox'],
button {
  cursor: pointer;
}
input:focus,
button:focus {
  outline: none !important;
}
button,
input[type='reset'],
input[type='button'],
input[type='submit'],
select {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
input:focus::-webkit-input-placeholder {
  opacity: 0;
}
input:focus:-moz-placeholder {
  opacity: 0;
}
input:focus::-moz-placeholder {
  opacity: 0;
}
input:focus:-ms-input-placeholder {
  opacity: 0;
}
// CHECKBOX
.checkbox-label {
  input {
    position: absolute;
    opacity: 0;
    &:checked ~ .checkbox-custom {
      -webkit-transform: rotate(0deg) scale(1);
      -ms-transform: rotate(0deg) scale(1);
      transform: rotate(0deg) scale(1);
      opacity: 1;
      &::after {
        top: 4px;
        left: 4px;
        width: 8px;
        height: 8px;
        // background-color: $primary-text;
      }
    }
  }
  .checkbox-custom {
    display: inline-block;
    height: 16px;
    width: 16px;
    padding: 0;
    background-color: #fff;
    transition: background-color 0.35s;
    cursor: pointer;
    &::after {
      position: absolute;
      content: '';
    }
    &.error {
      background: red;
    }
  }
}

input[type='text'],
input[type='password'],
input[type='number'],
select {
  // text-transform: uppercase;
  border-bottom: 1px solid transparent;
  // padding-bottom: 1rem;
  max-width: 100%;
  font-size: 1.5rem;
  // width: 100%;
  &.compact {
    width: 250px;
  }
  &.white {
    color: $white;
    border-bottom-color: $white;
    &::-webkit-input-placeholder {
      color: $white;
    }
    &::-moz-placeholder {
      color: $white;
    }
    &:-ms-input-placeholder {
      color: $white;
    }
    &:-moz-placeholder {
      color: $white;
    }
  }
  &.normalcase {
    text-transform: unset;
  }
}
